Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IParticleDirectionLink

    java.lang.Object
      igeo.IDynamicsBase
          igeo.IParticleDirectionLink

All Implemented Interfaces:
  IDynamics, ISubobject

    public class IParticleDirectionLink

extends IDynamicsBase

Class of an implementation of IDynamics to limit particles to be spacified direction from a center.

Field Summary
`IVecI` | `center`
`java.util.ArrayList<IParticle>` | `particles`
`IVec` | `vel`

Fields inherited from class igeo.IDynamicsBase
`parent, targets`

Constructor Summary
`IParticleDirectionLink(java.util.ArrayList<IParticle> ptcls, IVecI cntr)`
`IParticleDirectionLink(java.util.ArrayList<IParticle> ptcls, IVecI cntr, IObject parent)`
`IParticleDirectionLink(IParticle[] ptcls, IVecI cntr)`
`IParticleDirectionLink(IParticle[] ptcls, IVecI cntr, IObject parent)`
`IParticleDirectionLink(IVecI cntr)`
`IParticleDirectionLink(IVecI cntr, IObject parent)`

Method Summary
`void` | `add(IParticle p)`
`void` | `initParticleDirectionLink()`
`void` | `update()` behavior definition of updating dynamics in each time frame

Methods inherited from class igeo.IDynamicsBase
`initDynamicsBase, initDynamicsBase, interact, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, updateTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### particles

    public java.util.ArrayList<IParticle> particles

### center

    public IVecI center

### vel

    public IVec vel

Constructor Detail

### IParticleDirectionLink

    public IParticleDirectionLink(java.util.ArrayList<IParticle> ptcls,
                                  IVecI cntr,
                                  IObject parent)

### IParticleDirectionLink

    public IParticleDirectionLink(IParticle[] ptcls,
                                  IVecI cntr,
                                  IObject parent)

### IParticleDirectionLink

    public IParticleDirectionLink(IVecI cntr,
                                  IObject parent)

### IParticleDirectionLink

    public IParticleDirectionLink(java.util.ArrayList<IParticle> ptcls,
                                  IVecI cntr)

### IParticleDirectionLink

    public IParticleDirectionLink(IParticle[] ptcls,
                                  IVecI cntr)

### IParticleDirectionLink

    public IParticleDirectionLink(IVecI cntr)

Method Detail

### initParticleDirectionLink

    public void initParticleDirectionLink()

### add

    public void add(IParticle p)

### update

    public void update()

  Description copied from class: `IDynamicsBase`
  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`
  Overrides:
    `update` in class `IDynamicsBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD